Schedule a snooze for the rule

Base URL
https://{kibana_url}
  • POST /api/alerting/rule/{id}/snooze_schedule
  • POST /s/{space_id}/api/alerting/rule/{id}/snooze_schedule
Auth

When you snooze a rule, the rule checks continue to run but alerts will not generate actions. You can snooze for a specified period of time and schedule single or recurring downtimes.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

id string required

Identifier of the rule.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

schedule object required

Responses

Indicates a successful call.

application/json
body object required
schedule object required
id string required

Identifier of the snooze schedule.

400

Indicates an invalid schema.

403

Indicates that this call is forbidden.

404

Indicates a rule with the given id does not exist.

Base URL
https://{kibana_url}